NNG_AIO_CANCEL(3)

NAME
nng_aio_cancel - cancel asynchronous I/O operation

SYNOPSIS

    #include <nng/nng.h>

    void nng_aio_cancel(nng_aio *aio);

DESCRIPTION

The nng_aio_cancel() function aborts an operation previously started with the handle aio. If the operation is aborted, then the callback for the handle will be called, and the function nng_aio_result() will return the error NNG_ECANCELED.

This function does not wait for the operation to be fully aborted, but returns immediately.

If no operation is currently in progress (either because it has already finished, or no operation has been started yet), then this function has no effect.

    Note

    This function is the same as calling nng_aio_abort() with the error NNG_ECANCELED.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_aio_abort(3), nng_aio_alloc(3), nng_aio_result(3), nng_aio(5), nng(7)